<app-header [buttonTitle]="'Δημιουργία'" [buttonIcon]="'add'" [title]="'Κατηγορίες'" (action)="createCategory()" [hasAction]="true"></app-header>

<div [style.height.px]="tableHeight" style="overflow-y: auto;">
<mat-table [dataSource]="categories" class="mat-elevation-z8">

  <ng-container matColumnDef="image">
    <mat-header-cell *matHeaderCellDef></mat-header-cell>
    <mat-cell *matCellDef="let element">

      <div *ngIf="element.imageBlob" style="border-radius: 50%; padding: 5px;">
        <img [src]="domSanitizer.bypassSecurityTrustResourceUrl(element.imageBlob)" alt="category" style="width: 100px; height: 100px; border-radius: 50%;"/>
      </div>
      <div *ngIf="!element.imageBlob" class="image">
        <mat-icon>
          category
        </mat-icon>
      </div>

    </mat-cell>
  </ng-container>

  <ng-container matColumnDef="id">
    <mat-header-cell *matHeaderCellDef>ID</mat-header-cell>
    <mat-cell *matCellDef="let element">{{element.id}}</mat-cell>
  </ng-container>

  <ng-container matColumnDef="name">
    <mat-header-cell *matHeaderCellDef>Κατηγορία</mat-header-cell>
    <mat-cell *matCellDef="let element">{{element.name}}</mat-cell>
  </ng-container>

  <ng-container matColumnDef="description">
    <mat-header-cell *matHeaderCellDef>Κατηγορία(Εναλλακτικά)</mat-header-cell>
    <mat-cell *matCellDef="let element">{{element.description}}</mat-cell>
  </ng-container>

  <ng-container matColumnDef="actions">
    <mat-header-cell *matHeaderCellDef>Ενέργειες</mat-header-cell>
    <mat-cell *matCellDef="let element">
      <div fxLayout="row" style="color: var(--primary)">
        <button mat-icon-button (click)="update(element.id)">
          <mat-icon>
            edit
          </mat-icon>
        </button>

        <button mat-icon-button (click)="delete(element.id)" style="color: red;">
          <mat-icon>
            delete
          </mat-icon>
        </button>
      </div>
    </mat-cell>
  </ng-container>

  <mat-header-row  *matHeaderRowDef="displayedColumns sticky: true"></mat-header-row>
  <mat-row  *matRowDef="let row; columns: displayedColumns; "></mat-row>

</mat-table>
</div>
